const APP_DISPLAY_NAME = "Download Statusbar";
const APP_NAME = "downbar";
const APP_PACKAGE = "/Devon Jensen/downbar";
const APP_VERSION = "0.8a";

const APP_JAR_FILE = "downbar.jar";
const APP_CONTENT_FOLDER = "content/downbar/";
const APP_SKIN_FOLDER  = "skin/classic/downbar/";

const APP_SUCCESS_MESSAGE = "Highly recommended that you clear your download history before restarting your browser.";


initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef;
var contenttype;
var skintype;

if(confirm("Press OK to install to the global Firebird directory. \n\n" +  "Press Cancel to install to the current profile directory. (Advanced)")) {
	chromef = getFolder("Chrome");
	contenttype = CONTENT | DELAYED_CHROME;
	skintype = SKIN  | DELAYED_CHROME;
	var prefFolder = getFolder('Program', 'defaults/pref/');
	addFile("Devon Jensen", "downbarconfig.js", prefFolder, '');
}
else {
	chromef = getFolder("Profile", "chrome");
	contenttype = CONTENT | PROFILE_CHROME;
	skintype = SKIN  | PROFILE_CHROME;
	var prefFolder = getFolder('Program', 'defaults/pref/');      // Can this go in the profile too?  Tried it, not working.
	addFile("Devon Jensen", "downbarconfig.js", prefFolder, '');
}

var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);
		
if(err >= SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(contenttype, jar, APP_CONTENT_FOLDER);
	registerChrome(skintype, jar, APP_SKIN_FOLDER);
	err = performInstall();
	if(err >= SUCCESS) {
		alert(APP_DISPLAY_NAME + " " + APP_VERSION + " has been successfully installed.\n"
			+APP_SUCCESS_MESSAGE);
	} else { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else { 
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to phoenix/chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}
